# Overview
This is the PSI rhel8 docker developer image. It contains most developer tools especially for building rpms, etc.


# Usage

The image can be used as follows:

```bash
docker run -it --rm gitea.psi.ch/detectors-int/rhel8-detectors-dev
```

To build an RPM this image can be used as follows:
```bash
docker run --platform linux/amd64 -it --rm -v $(pwd):/data --workdir /data  gitea.psi.ch/images/rhel8-developer-github-actions rpmbuild -ba whatever.spec
```


To base other images upon this image use
```dockerfile
FROM detectors-int/rhel8-detectors-dev
```
in your Dockerfile

# Build

To build the image use:
```bash
docker build --platform linux/x86_64 -t gitea.psi.ch/detectors-int/rhel8-detectors-dev .
```

To push the image to the central container registry do:
```bash
docker login gitea.psi.ch
docker push gitea.psi.ch/detectors-int/rhel8-detectors-dev
```
